isis-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From danhayw...@apache.org
Subject [isis] branch master updated: ISIS-2181: debugging build-core.sh (1)
Date Thu, 21 Nov 2019 14:22:50 GMT
This is an automated email from the ASF dual-hosted git repository.

danhaywood pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/isis.git


The following commit(s) were added to refs/heads/master by this push:
     new 51241d3  ISIS-2181: debugging build-core.sh (1)
51241d3 is described below

commit 51241d39f8d8dfe5763dc55ce17fe408fe286354
Author: danhaywood <dan@haywood-associates.co.uk>
AuthorDate: Thu Nov 21 14:22:27 2019 +0000

    ISIS-2181: debugging build-core.sh (1)
    
    not running mvn versions:set
---
 scripts/ci/build-core.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/scripts/ci/build-core.sh b/scripts/ci/build-core.sh
index d309afa..66888d0 100644
--- a/scripts/ci/build-core.sh
+++ b/scripts/ci/build-core.sh
@@ -22,10 +22,15 @@ fi
 sh $SCRIPT_DIR/print-environment.sh "build-core"
 
 if [ ! -z "$REVISION" ]; then
+
   cd $PROJECT_ROOT_PATH/core-parent
+  echo "updating version in isis-parent ..."
   mvn versions:set -DnewVersion=$REVISION
+
   cd $PROJECT_ROOT_PATH/starters
-  mvn versions:set -DnewVersion=$REVISION
+  echo "updating version in isis-app-starter-parent ..."
+  cat pom.xml
+  mvn versions:set -DnewVersion=$REVISION -o
 fi
 
 cd $PROJECT_ROOT_PATH/core-parent


Mime
View raw message